$('body').delegate('.add_item_to_cart', 'click', function () {
    $('.loader').addClass('show_loader');
    // var item_id = $(this).attr('data-attr-item-id');
//    alert(item_id);die;
    var $this = $(this);
    var formInput = $this.parent().parent().parent().parent().parent().parent().find('form.catering_form').serialize();
    $.post(baseurl + "add_to_cart", formInput, function (data) {
        $('.sidebarCart').html(data.page_content);
        $('#header_cart_count').html(data.cart_items);
        $('input:checkbox').removeAttr('checked');
        $('.add_item_to_cart').prop("disabled", true);
    }, "json");

});

$('body').delegate('.add_online_item_to_cart', 'click', function () {
    $('.loader').addClass('show_loader');
    // var item_id = $(this).attr('data-attr-item-id');
//    alert(item_id);die;
    var $this = $(this);
    var formInput = $this.parent().parent().find('form.online_order_form').serialize();
    $.post(baseurl + "add_online_item_to_cart", formInput, function (data) {
        $('.sidebarCart').html(data.page_content);
        $('#header_cart_count').html(data.cart_items);
        $('input:checkbox').removeAttr('checked');
        $('.add_item_to_cart').prop("disabled", true);
    }, "json");

});
//$('body').delegate('.add_item_to_cart', 'click', function() {    
//    $('.loader').addClass('show_loader');
//        var $this = $(this);
//    var cart_unit_id = $('.item_size').val();
//    var cart_item_id = $('#itemId').val();
////
////    var quantity = $('.quantity').val();
//    var quantity = $this.parent().parent().parent().parent().find('#quantiyval').val();
//  
//    if (cart_item_id != '0')
//    {
//        $.ajax({
//            type: "POST",
//            async: 'false',
//            dataType: "json",
//            url: baseurl + "add_to_cart",
//            data: {"cart_item_id": cart_item_id,"cart_unit_id":cart_unit_id,"quantity":quantity},
//            success: function(data) {
//              $('.sidebarCart').html(data.page_content);  
//             $('#header_cart_count').html(data.cart_items);
//            }
//        })
//    }
//});


$('body').delegate('.amount_increase', 'click', function () {
    $('.loader').addClass('show_loader');
    var cart_item_id = $(this).attr('data-cart-item-id');
    var $this = $(this);
    if (cart_item_id != '0')
    {
        $.ajax({
            type: "POST",
            async: 'false',
            dataType: "json",
            url: baseurl + "increment-product",
            data: {"cart_item_id": cart_item_id},
            success: function (msg) {
                $('.sidebarCart').html(msg.sidebar_cart);
            }
        })
    }
});
$('body').delegate('.delete_item', 'click', function () {
    $('.loader').addClass('show_loader');
    var cart_item_id = $(this).attr('data-cart-item-id');
    var $this = $(this);
    if (cart_item_id != '0')
    {
        $.ajax({
            type: "POST",
            async: 'false',
            url: baseurl + "delete-cart-item",
            data: {"cart_item_id": cart_item_id},
            success: function (msg) {
                $('.sidebarCart').html(msg.cart_data);
                $('#header_cart_count').html(msg.cart_items);
            }
        })
    }
});
$('body').delegate('.amount_decrease', 'click', function () {
    $('.loader').addClass('show_loader');
    var cart_item_id = $(this).attr('data-cart-item-id');
    var $this = $(this);
    if (cart_item_id != '0')
    {
        $.ajax({
            type: "POST",
            async: 'false',
            url: baseurl + "decrement-product",
            data: {"cart_item_id": cart_item_id},
            success: function (msg) {
                $('.sidebarCart').html(msg);
            }
        })
    }
});